Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000179openvibebug reportpublic2016-06-21 00:132016-07-19 09:18
Reporterjfrey 
Assigned Tojtlindgr 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86_64OSUbuntuOS Version16.04
Summary0000179: Compilation fails on ubuntu 16.04
DescriptionOne cannot compile OpenViBE with the last LTS version of Ubuntu.

Dependencies: ogre 1.9 replaced 1.8, libboost 0.58 replaced 0.54.

Should dependencies (and code) be updated to those new versions, still have to switch the system back to gcc 4.9, from gcc 5.3 that is now the default, otherwise errors arise during compilation.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001209)
jtlindgr (administrator)
2016-06-21 09:42

We'll investigate this after point release 16.04.1 is out.

Thanks for the report.
(0001211)
jtlindgr (administrator)
2016-07-01 11:35

Fixed in advance! Try git commit 1773ab6c82e917ab13b9c7c752a6a49ab0f3bc07 (git branch wip-jlindgre-fix-ubuntu1604 or via git master).
(0001214)
jfrey (reporter)
2016-07-07 16:42

Hello,

The commit fixes the "linux-install_dependencies" script, but the compilation still fails, e.g. demos raise some ogre errors, and part as "ovsgCBoxAlgorithmSkeletonGenerator.cpp" that have troubles related to boost library.

I did not test that on a fresh install, though, maybe I did something wrong...
(0001215)
jtlindgr (administrator)
2016-07-08 16:09

When I implemented the commit, I tested it on a 16.04 running on a VM and it worked just fine. To do any further work on the problem, I need the conditions to reproduce. Btw, one thing I noted on 16.04 is that the boost/ogre/cegui versions need to be very specific ones. These are hard-coded to the installer.
(0001216)
jtlindgr (administrator)
2016-07-18 09:43
edited on: 2016-07-18 09:44

I tested with another clean Ubuntu 16.04, it was x86_64 on an AMD processor. After install_dependencies.sh, the build completed successfully on the default 5.x gcc. Please check that you have only the versions of the packages that are meant to be in 16.04 installed, as indicated by install dependencies Ubuntu section, and that there are no conflicting files from other versions of boost, ogre or cegui still around. If there's no feedback in a while, I'm going to mark this as closed.

(0001217)
jfrey (reporter)
2016-07-18 18:37

Hi, my bad, I forgot to switch back to gcc 5 when I tried your patch, the compilation is now going well, so far OpenViBE is working. Thanks for the fix! :)
(0001218)
jtlindgr (administrator)
2016-07-19 09:18

Remarking as fixed. Thanks for the feedback!

- Issue History
Date Modified Username Field Change
2016-06-21 00:13 jfrey New Issue
2016-06-21 09:42 jtlindgr Note Added: 0001209
2016-06-21 09:42 jtlindgr Status new => acknowledged
2016-07-01 11:35 jtlindgr Note Added: 0001211
2016-07-01 11:35 jtlindgr Status acknowledged => resolved
2016-07-01 11:35 jtlindgr Resolution open => fixed
2016-07-01 11:35 jtlindgr Assigned To => jtlindgr
2016-07-07 16:42 jfrey Note Added: 0001214
2016-07-07 16:42 jfrey Status resolved => feedback
2016-07-07 16:42 jfrey Resolution fixed => reopened
2016-07-08 16:09 jtlindgr Note Added: 0001215
2016-07-18 09:43 jtlindgr Note Added: 0001216
2016-07-18 09:44 jtlindgr Note Edited: 0001216 View Revisions
2016-07-18 18:37 jfrey Note Added: 0001217
2016-07-18 18:37 jfrey Status feedback => assigned
2016-07-19 09:18 jtlindgr Note Added: 0001218
2016-07-19 09:18 jtlindgr Status assigned => resolved
2016-07-19 09:18 jtlindgr Resolution reopened => fixed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker